Subject: bug#68401: 30.0.50; ERC 5.6-git: `erc-cmd-GMSG', `erc-cmd-AMSG', `erc-cmd-GME', `erc-cmd-AME'. 2nd attempt

From: Emanuel Berg <[email-masked]>
Date: Sat, 17 Feb 2024 06:21:18 +0100

J.P. wrote:

>> (erc-cmd-GMSG, erc-cmd-AME, erc-cmd-GME): new IRC slash commands
>                                            ^                     ^
> From CONTRIBUTE:
>
>   Some commenting rules in the GNU coding standards also
>   apply to ChangeLog entries: they must be in English, and
>   be complete sentences starting with a capital and ending
>   with a period (except the summary line should not end in
>   a period).

What do you mean, should that be "New IRC slash commands."?

If so, maybe I can change it with 'git commit --amend'.
But how do I then generate a new patch, just with 'git
format-patch master -M -o .ib'?

>> Fixed bug in erc-cmd-GME
>>
>> * lisp/erc/erc.el (erc-cmd-GME): should be #'erc--connected-and-joined-p,
>> not (erc--connected-and-joined-p)
>> (Bug#68401)
>
> This last item appears to describe an incremental patch
> revision only known to this discussion thread on the
> tracker. These log messages are instead meant to reflect the
> entirety of the proposed changeset relative to what's
> currently on master. However, something like this might
> still be helpful in the body of a discussion post (email).

What should the commit message be then for such changes?
Nothing at all? Then It will complain it doesn't work.

I can write a bogus message, then squash the commits and
remove it from the final one, I guess.

>> Test and files added
>>
>> * test/lisp/erc/erc-scenarios-misc-commands.el
>> (erc-scenarios-misc-commands--AMSG-GMSG-AME-GME): New test.
>> * test/lisp/erc/resources/commands/amsg-barnet.eld: New file.
>> * test/lisp/erc/resources/commands/amsg-foonet.eld: New file.
>>
>> Added a note on `erc-cmd-AMGS' and its three new friends
>>
>> * etc/ERC-NEWS: Mentioned here.
>
> FWIW, other Emacs commit messages don't seem to have these
> interspersed sub-headers, like "Fixed bug in erc-cmd-GME"
> and "Test and files added".

They are from the squashed commits. You told me to use it
instead of fixup since that would keep the commit messages.

I can remove them like above, maybe, if that's what you
are saying?

If so, please provide a commit message exactly the way it
should be since this has been back and forth so many times
by now.

> Also, bug fixes aren't really announced unless they threaten
> to cause widespread churn or introduce potentially
> debilitating breakage, so you can probably just leave that
> out and only mention the new commands.

Okay.

>> +Also, the new IRC slash commands `erc-cmd-GMSG',
>> +`erc-cmd-AME', and `erc-cmd-GME' were added and are available
>    ^~~~~~~~~~~~^
>
> For etc/*NEWS, I believe they prefer single 'quotes' for
> literal text rather than traditional ones with an
> opening backtick.

Again, maybe it is easier it you just supply the whole message
exactly as intended as this back and forth one million times is
not getting us anywhere.

>> +
>>  ** Module 'keep-place' has a more decorative cousin.
>>  Remember your place in ERC buffers a bit more easily with the help of
>>  a configurable, visible indicator.  Optionally sync the indicator to
>> @@ -1367,7 +1373,7 @@ reconnection attempts that ERC will make per server.
>>  in seconds, that ERC will wait between successive reconnect attempts.
>>  
>>  *** erc-server-send-ping-timeout: Determines when to consider a connection
>> -stalled and restart it.  The default is	after 120 seconds.
>> +stalled and restart it.  The default is   after 120 seconds.
>                                           ~~~
>
> Please collapse the expanded TAB into a single space.
>>  
>>  *** erc-system-name: Determines the system name to use when logging in.
>>  The default is to figure this out by calling `system-name'.
>> @@ -2386,5 +2392,5 @@ Local variables:
>>  coding: utf-8
>>  mode: outline
>>  mode: emacs-news
>> -paragraph-separate: "[ 	]*$"
>> +paragraph-separate: "[  ]*$"
>                           ^
> I believe the TAB here is intentional, so please undo this hunk.

Oh, no! It is the same thing that happened with the Elisp
file, tabs were changed into spaces when I saved. I only
disabled that for Elisp so it did happen again for
etc/ERC-NEWS as that isn't Elips.

But if it were just two cases, maybe I can change it them
back manually.

After commiting that, should I do the whole chain again?

Is that the preferred way, really? One would feel there would
be an easier way, but if it so, that's what it is.

$ git log --graph --oneline --decorate -a
$ git rebase -i HEAD~2
$ git pull
$ git rebase --onto origin/master 'ib^' ib
$ git format-patch master -M -o .ib

?

-- 
underground experts united
https://dataswamp.org/~incal